View a markdown version of this page

ListRecommendations - AWS DevOps Agent

ListRecommendations

Lists recommendations for the specified agent space

Request Syntax

POST /backlog/agent-space/agentSpaceId/recommendations/list HTTP/1.1 Content-type: application/json { "goalId": "string", "limit": number, "nextToken": "string", "priority": "string", "status": "string", "taskId": "string" }

URI Request Parameters

The request uses the following URI parameters.

agentSpaceId

The unique identifier for the agent space containing the recommendations

Pattern: [a-zA-Z0-9-]{1,64}

Required: Yes

Request Body

The request accepts the following data in JSON format.

goalId

Optional goal ID to filter recommendations by specific goal

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z0-9_.-]+

Required: No

limit

Maximum number of recommendations to return in a single response

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 100.

Required: No

nextToken

Token for retrieving the next page of results

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Required: No

priority

Optional priority to filter recommendations by priority level

Type: String

Valid Values: HIGH | MEDIUM | LOW

Required: No

status

Optional status to filter recommendations by their current status

Type: String

Valid Values: PROPOSED | ACCEPTED | REJECTED | CLOSED | COMPLETED | UPDATE_IN_PROGRESS

Required: No

taskId

Optional task ID to filter recommendations by specific task

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z0-9_.-]+

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "recommendations": [ { "additionalContext": "string", "agentSpaceArn": "string", "content": { "spec": "string", "summary": "string" }, "createdAt": "string", "goalId": "string", "goalVersion": number, "priority": "string", "rankedAt": "string", "rankPosition": number, "recommendationId": "string", "status": "string", "taskId": "string", "title": "string", "updatedAt": "string", "version": number } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

Token for retrieving the next page of results, if more results are available

Type: String

recommendations

List of recommendations matching the request criteria

Type: Array of Recommendation objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access to the requested resource is denied due to insufficient permissions.

message

Detailed error message describing why access was denied.

HTTP Status Code: 403

ConflictException

The request conflicts with the current state of the resource.

message

Detailed error message describing the conflict.

HTTP Status Code: 409

ContentSizeExceededException

This exception is thrown when the content size exceeds the allowed limit.

HTTP Status Code: 413

InternalServerException

This exception is thrown when an unexpected error occurs in the processing of a request.

HTTP Status Code: 500

InvalidParameterException

One or more parameters provided in the request are invalid.

message

Detailed error message describing which parameter is invalid and why.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource could not be found.

message

Detailed error message describing which resource was not found.

HTTP Status Code: 404

ServiceQuotaExceededException

The request would exceed the service quota limit.

message

Detailed error message describing which quota was exceeded.

HTTP Status Code: 402

ThrottlingException

The request was throttled due to too many requests. Please slow down and try again.

message

Detailed error message describing the throttling condition.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered while validating the input. A member can appear in this list more than once if it failed to satisfy multiple constraints.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: